#include <assert.h>

#include "platform/nrf52/InterruptHandler.h"
#include "platform/nrf52/InterruptGuardian.h"

using namespace pinetime::platform::nrf52;

InterruptHandler::InterruptHandler(uint32_t irq_nr)
{
    InterruptGuardian::instance.register_handler(static_cast<InterruptGuardian::Nrf52IrqN>(irq_nr), *this);
}

void InterruptHandler::handle()
{
    assert(false);
}

void InterruptHandler::enable()
{
    assert(false);
}

void InterruptHandler::disable()
{
    assert(false);
}
